Get a cohort
curl --request GET \
--url https://api.reperp.xyz/api/v1/cohorts/{key} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.reperp.xyz/api/v1/cohorts/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reperp.xyz/api/v1/cohorts/{key}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"platform": "LIGHTER",
"asOf": "<string>",
"cohort": {
"key": "<string>",
"title": "<string>",
"range": "<string>",
"gte": 123,
"lt": 123,
"count": 123,
"walletsWithOpen": 123,
"longOiUsd": 123,
"shortOiUsd": 123,
"longPct": 123,
"shortPct": 123,
"sentiment": "<string>",
"sentimentVariant": "<string>"
},
"byAsset": [
{
"symbol": "<string>",
"longOiUsd": 123,
"shortOiUsd": 123,
"longWallets": 123,
"shortWallets": 123,
"netSide": "long"
}
],
"topWallets": [
{
"owner": "<string>",
"pnl": 123,
"openPositions": 123,
"longOiUsd": 123,
"shortOiUsd": 123,
"netSide": "long"
}
]
}
}{
"status": "error",
"message": "<string>",
"errors": [
{}
]
}{
"error": "Unauthorized"
}{
"status": "error",
"message": "<string>"
}{
"error": "Too many requests. Please wait for a moment."
}Market
Get a cohort
One cohort in detail: its open interest per market (top 30) and its biggest wallets by open interest (top 50).
GET
/
cohorts
/
{key}
Get a cohort
curl --request GET \
--url https://api.reperp.xyz/api/v1/cohorts/{key} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.reperp.xyz/api/v1/cohorts/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reperp.xyz/api/v1/cohorts/{key}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"platform": "LIGHTER",
"asOf": "<string>",
"cohort": {
"key": "<string>",
"title": "<string>",
"range": "<string>",
"gte": 123,
"lt": 123,
"count": 123,
"walletsWithOpen": 123,
"longOiUsd": 123,
"shortOiUsd": 123,
"longPct": 123,
"shortPct": 123,
"sentiment": "<string>",
"sentimentVariant": "<string>"
},
"byAsset": [
{
"symbol": "<string>",
"longOiUsd": 123,
"shortOiUsd": 123,
"longWallets": 123,
"shortWallets": 123,
"netSide": "long"
}
],
"topWallets": [
{
"owner": "<string>",
"pnl": 123,
"openPositions": 123,
"longOiUsd": 123,
"shortOiUsd": 123,
"netSide": "long"
}
]
}
}{
"status": "error",
"message": "<string>",
"errors": [
{}
]
}{
"error": "Unauthorized"
}{
"status": "error",
"message": "<string>"
}{
"error": "Too many requests. Please wait for a moment."
}Authorizations
Your API key. Keys are issued on request: message @perp_ag on X.
Path Parameters
Cohort key.
Available options:
extremely_profitable, very_profitable, profitable, unprofitable, very_unprofitable, rekt Query Parameters
Venue. See Venues and identifiers.
Available options:
LIGHTER, RHLT, JUPITER, PHOENIX, BULLET, AFTERMATH ⌘I